# Copyright 1999-2020 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI="5"

DESCRIPTION="PortableSigner is a signing (with X.509 certificates) program for PDF files."
SLOT="0"

PKGVER="2.0.38c0573"

inherit eutils java-utils-2

HOMEPAGE="http://portablesigner.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/PortableSigner-Generic-${PKGVER}.zip"

LICENSE="EUPL-1.1"
KEYWORDS="~amd64 ~x86"

RDEPEND="virtual/jre:1.8"

DEPEND="${RDEPEND}"

S="${WORKDIR}"

src_prepare() {
	epatch "${FILESDIR}/portablesigner-2.0_fix_desktopfile.patch"
}

src_install() {
	java-pkg_jarinto /opt/PortableSigner
	java-pkg_dojar PortableSigner.jar
	java-pkg_jarinto /opt/PortableSigner/lib
	java-pkg_dojar lib/bcprov-ext-jdk16-146.jar lib/commons-cli-1.2.jar lib/itextpdf-5.1.3.jar lib/quaqua.jar lib/swing-layout-1.0.4.jar
	java-pkg_dolauncher PortableSigner --pwd /opt/PortableSigner --jar /opt/PortableSigner/PortableSigner.jar -into /opt/PortableSigner
	insinto /usr/share/icons
	doins linux/PortableSignerLogo.png
	insinto /usr/share/applications
	doins linux/portablesigner.desktop
	dosym /opt/PortableSigner/bin/PortableSigner /opt/bin/PortableSigner
}
