# Copyright 1999-2020 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit git-r3 cmake-utils wxwidgets

DESCRIPTION="Astrophoto guiding software"
HOMEPAGE="http://code.google.com/p/open-phd-guiding/"
EGIT_REPO_URI="https://github.com/OpenPHDGuiding/phd2.git"

LICENSE="GPL-2"
KEYWORDS=""

SLOT="2"

DEPEND="x11-libs/wxGTK:3.0[X]
	virtual/libusb:1
	sci-libs/cfitsio
	media-libs/opencv"

RDEPEND="${DEPEND}"

#PATCHES=( "${FILESDIR}/open-phd-guiding-2.9999-remove_compiler_strict_warnings.patch" "${FILESDIR}/open-phd-guiding-2.9999-build_helper_script.patch" )

src_install() {
	/bin/sh "${S}"/build/build_help.sh
	dohtml -r "${S}"/help
	rm "${S}"/locale/fr_FR/PHD2GuideHelp.zip
	dodoc PHD_2.0_Architecture.docx
	cmake-utils_src_install
}
