# Copyright 1999-2020 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=7

inherit qmake-utils multilib

DESCRIPTION="Simple 3D viewer class for Qt OpenGL applications"
HOMEPAGE="http://www.libqglviewer.com"
SRC_URI="http://www.libqglviewer.com/src/${PN}-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc"


DEPEND="virtual/opengl
		dev-qt/qtopengl:5
		dev-qt/qtxml:5"

RDEPEND="${DEPEND}"

S=${WORKDIR}/${PN}-${PV}

src_configure() {
 	true
}
 
src_compile() {
	eqmake5 libQGLViewer-${PV}.pro -o Makefile \
		PREFIX=/usr \
		LIB_DIR=/usr/$(get_libdir)
 	emake || die "emake QGLViewer failed"
}
 
src_install() {
  	cd QGLViewer
  	INSTALL_ROOT="${D}" emake install_target install_include || die "install QGLViewer failed"
   
  	cd designerPlugin
  	INSTALL_ROOT="${D}" emake install_target || die "install QGLViewer failed"
  
  	dodoc ../README || die "installing README failed"
  
  	if use doc ; then
  		dohtml -r ../doc/* || die "installing html files failed"
  		docinto examples
  		dodoc ../examples/* || die "installing examples failed"
  	fi
}
